commit:     5f0db0ecb5b6ce4e2436010018e6cbc3cc9f10ed
Author:     Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Sun Mar 13 00:11:04 2016 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Sun Mar 13 16:50:06 2016 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=5f0db0ec

kde-plasma/kactivitymanagerd: Add transitional 5.5.0 version

See also:
https://www.mail-archive.com/kde-core-devel <AT> kde.org/msg20595.html

Added PDEPEND="kactivities-workspace" so that this one-off does not
cause a circular dep on kde-frameworks/kactivities, and to avoid
additional alternative dependencies in dolphin and plasma-workspace.

Package-Manager: portage-2.2.27

 .../kactivitymanagerd-5.5.0.ebuild                 | 41 ++++++++++++++++++++++
 1 file changed, 41 insertions(+)

diff --git a/kde-plasma/kactivitymanagerd/kactivitymanagerd-5.5.0.ebuild 
b/kde-plasma/kactivitymanagerd/kactivitymanagerd-5.5.0.ebuild
new file mode 100644
index 0000000..a3f17f3
--- /dev/null
+++ b/kde-plasma/kactivitymanagerd/kactivitymanagerd-5.5.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit kde5
+
+DESCRIPTION="System service to manage user's activities, track the usage 
patterns etc."
+SRC_URI="mirror://kde/stable/kactivities/${P}.tar.xz"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+COMMON_DEPEND="
+       $(add_frameworks_dep kconfig)
+       $(add_frameworks_dep kcoreaddons)
+       $(add_frameworks_dep kdbusaddons)
+       $(add_frameworks_dep kglobalaccel)
+       $(add_frameworks_dep ki18n)
+       $(add_frameworks_dep kio)
+       $(add_frameworks_dep kservice)
+       $(add_frameworks_dep kwindowsystem)
+       $(add_frameworks_dep kxmlgui)
+       $(add_qt_dep qtdbus)
+       $(add_qt_dep qtgui)
+       $(add_qt_dep qtsql)
+       $(add_qt_dep qtwidgets)
+"
+DEPEND="${COMMON_DEPEND}
+       >=dev-libs/boost-1.54
+"
+RDEPEND="${COMMON_DEPEND}
+       !<kde-base/kactivities-4.13.3-r1:4[-minimal(-)]
+       !kde-base/kactivitymanagerd
+       !<kde-frameworks/kactivities-5.20.0
+"
+PDEPEND="
+       $(add_plasma_dep kactivities-workspace)
+"

Reply via email to